#!/bin/bash

# This script will find all the ServerNames and ServerAliases
# that are in files in the $HTTPD_VHOSTS_DIR directory you
# need each ServerAlias on a new line, multiple aliases on
# one line doesn't work with this.
#
# Chris <chrisc@indymedia.org>
# 29th April 2007

# EDIT THIS LINE:
#
HTTPD_VHOSTS_DIR="/usr/local/etc/apache2/Includes"

# get the ServerNames
grep -h ServerName $HTTPD_VHOSTS_DIR/* | sed  s/ServerName//g | sed "s/ //g"

# get the ServerAliases
grep -h ServerAlias $HTTPD_VHOSTS_DIR/* | sed  s/ServerAlias//g | sed "s/ //g"
