#! /bin/sh

LOGFILE=/var/log/remote-rsync.log
LOGFULL=/var/log/remote-rsync-full.log
remote=root@lethe.koumbit.net:/backup/homere.koumbit.net/


date >> $LOGFILE
chmod 740 $LOGFILE
chown root:adm $LOGFILE

for fs in /
do
  echo -n "$fs	" >> $LOGFILE
  if [ "$fs" != "/" ]; then
    fs=$fs/
  fi
  #( /usr/bin/time -f "%e	%E" cat f | \
  ( /usr/bin/time -f "%e	%E" nice rsync --delete --ignore-errors --bwlimit=100 -v --progress -a -x $fs $remote$fs | \
    tee -a $LOGFULL | \
    sed '/sent.*received/!d;s/^.*sent *\([0-9]*\) .*received *\([0-9]*\).*$/\1\
\2\
/' ) 2>&1 | {
read time
read sent
read received
  echo "$sent	$received	$time"
} >>$LOGFILE
done 
date >> $LOGFILE
